package com.qimen.api.request;

import com.taobao.api.internal.util.RequestCheckUtils;
import java.util.Map;

import com.taobao.api.ApiRuleException;
import com.qimen.api.QimenRequest;
import com.taobao.api.internal.util.TaobaoHashMap;

import com.qimen.api.response.ChannelinventoryQueryResponse;

/**
 * TOP API: taobao.qimen.channelinventory.query request
 * 
 * @author top auto create
 * @since 1.0, 2018.07.25
 */
public class ChannelinventoryQueryRequest extends QimenRequest<ChannelinventoryQueryResponse> {
	
	

	/** 
	* 奇门仓储字段
	 */
	private String channelCodes;

	/** 
	* 奇门仓储字段
	 */
	private String itemCodes;

	/** 
	* 奇门仓储字段,C123,string(50),,
	 */
	private String ownerCode;

	/** 
	* 奇门仓储字段
	 */
	private String warehouseCodes;

	public void setChannelCodes(String channelCodes) {
		this.channelCodes = channelCodes;
	}

	public String getChannelCodes() {
		return this.channelCodes;
	}

	public void setItemCodes(String itemCodes) {
		this.itemCodes = itemCodes;
	}

	public String getItemCodes() {
		return this.itemCodes;
	}

	public void setOwnerCode(String ownerCode) {
		this.ownerCode = ownerCode;
	}

	public String getOwnerCode() {
		return this.ownerCode;
	}

	public void setWarehouseCodes(String warehouseCodes) {
		this.warehouseCodes = warehouseCodes;
	}

	public String getWarehouseCodes() {
		return this.warehouseCodes;
	}

	public String getApiMethodName() {
		return "taobao.qimen.channelinventory.query";
	}

	public Class<ChannelinventoryQueryResponse> getResponseClass() {
		return ChannelinventoryQueryResponse.class;
	}

	public void check() throws ApiRuleException {
		RequestCheckUtils.checkMaxListSize(channelCodes, 500, "channelCodes");
		RequestCheckUtils.checkMaxListSize(itemCodes, 500, "itemCodes");
		RequestCheckUtils.checkMaxListSize(warehouseCodes, 500, "warehouseCodes");
	}
	

}