package com.qimen.api.request;

import java.util.Map;

import com.taobao.api.ApiRuleException;
import com.qimen.api.QimenRequest;
import com.taobao.api.internal.util.TaobaoHashMap;

import com.qimen.api.response.OrderQueryResponse;

/**
 * TOP API: taobao.qimen.order.query request
 * 
 * @author top auto create
 * @since 1.0, 2021.08.02
 */
public class OrderQueryRequest extends QimenRequest<OrderQueryResponse> {
	
	

	/** 
	* 结束时间, string (19) , YYYY-MM-DD HH:MM:SS
	 */
	private String endTime;

	/** 
	* 移动电话, string (50) , 必填
	 */
	private String mobile;

	/** 
	* 姓名, string (50) , 必填
	 */
	private String name;

	/** 
	* 1001，客服咨询；1002，售后服务
	 */
	private String scene;

	/** 
	* 开始时间, string (19) , YYYY-MM-DD HH:MM:SS
	 */
	private String startTime;

	/** 
	* 固定电话, string (50)
	 */
	private String tel;

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public String getEndTime() {
		return this.endTime;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getMobile() {
		return this.mobile;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getName() {
		return this.name;
	}

	public void setScene(String scene) {
		this.scene = scene;
	}

	public String getScene() {
		return this.scene;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getStartTime() {
		return this.startTime;
	}

	public void setTel(String tel) {
		this.tel = tel;
	}

	public String getTel() {
		return this.tel;
	}

	public String getApiMethodName() {
		return "taobao.qimen.order.query";
	}

	public Class<OrderQueryResponse> getResponseClass() {
		return OrderQueryResponse.class;
	}

	public void check() throws ApiRuleException {
	}
	

}