package com.qimen.api.request;

import java.util.Map;

import com.taobao.api.ApiRuleException;
import com.qimen.api.QimenRequest;
import com.taobao.api.internal.util.TaobaoHashMap;

import com.qimen.api.response.SupplierSynchronizeResponse;

/**
 * TOP API: taobao.qimen.supplier.synchronize request
 * 
 * @author top auto create
 * @since 1.0, 2019.11.20
 */
public class SupplierSynchronizeRequest extends QimenRequest<SupplierSynchronizeResponse> {
	
	

	/** 
	* add|update, 必填
	 */
	private String actionType;

	/** 
	* 区域, string (50)
	 */
	private String area;

	/** 
	* 城市, string (50)
	 */
	private String city;

	/** 
	* 国家二字码，string（50）
	 */
	private String countryCode;

	/** 
	* 详细地址, string (200)
	 */
	private String detailAddress;

	/** 
	* 电子邮箱, string (50)
	 */
	private String email;

	/** 
	* 是否有效, YN (默认为Y)
	 */
	private String isValid;

	/** 
	* 联系人姓名, string (50)
	 */
	private String name;

	/** 
	* 省份, string (50)
	 */
	private String province;

	/** 
	* 备注, string (500)
	 */
	private String remark;

	/** 
	* 供应商编码 string (50), 必填
	 */
	private String supplierCode;

	/** 
	* 供应商名称 string (200) , 必填
	 */
	private String supplierName;

	/** 
	* 联系电话, string (50)
	 */
	private String tel;

	/** 
	* 村镇, string (50)
	 */
	private String town;

	public void setActionType(String actionType) {
		this.actionType = actionType;
	}

	public String getActionType() {
		return this.actionType;
	}

	public void setArea(String area) {
		this.area = area;
	}

	public String getArea() {
		return this.area;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getCity() {
		return this.city;
	}

	public void setCountryCode(String countryCode) {
		this.countryCode = countryCode;
	}

	public String getCountryCode() {
		return this.countryCode;
	}

	public void setDetailAddress(String detailAddress) {
		this.detailAddress = detailAddress;
	}

	public String getDetailAddress() {
		return this.detailAddress;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getEmail() {
		return this.email;
	}

	public void setIsValid(String isValid) {
		this.isValid = isValid;
	}

	public String getIsValid() {
		return this.isValid;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getName() {
		return this.name;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getProvince() {
		return this.province;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setSupplierCode(String supplierCode) {
		this.supplierCode = supplierCode;
	}

	public String getSupplierCode() {
		return this.supplierCode;
	}

	public void setSupplierName(String supplierName) {
		this.supplierName = supplierName;
	}

	public String getSupplierName() {
		return this.supplierName;
	}

	public void setTel(String tel) {
		this.tel = tel;
	}

	public String getTel() {
		return this.tel;
	}

	public void setTown(String town) {
		this.town = town;
	}

	public String getTown() {
		return this.town;
	}

	public String getApiMethodName() {
		return "taobao.qimen.supplier.synchronize";
	}

	public Class<SupplierSynchronizeResponse> getResponseClass() {
		return SupplierSynchronizeResponse.class;
	}

	public void check() throws ApiRuleException {
	}
	

}