package com.qimen.api.response;

import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.TaobaoObject;

import com.qimen.api.QimenResponse;

/**
 * TOP API: taobao.qimen.inventorybatch.query response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class InventorybatchQueryResponse extends QimenResponse {

	private static final long serialVersionUID = 5165554637576319894L;

	/** 
	 * 明细列表
	 */
	@ApiField("items")
	private Items items;

	/** 
	 * 总行数，必填
	 */
	@ApiField("totalCount")
	private Long totalCount;


	public void setItems(Items items) {
		this.items = items;
	}
	public Items getItems( ) {
		return this.items;
	}

	public void setTotalCount(Long totalCount) {
		this.totalCount = totalCount;
	}
	public Long getTotalCount( ) {
		return this.totalCount;
	}
	
	/**
 * 明细
 *
 * @author top auto create
 * @since 1.0, null
 */
 
public static class Item {

	/**
		 * 批次号
		 */
		@ApiField("batchCode")
		private String batchCode;
		/**
		 * 失效日期
		 */
		@ApiField("expireDate")
		private String expireDate;
		/**
		 * 库存类型
		 */
		@ApiField("inventoryType")
		private Long inventoryType;
		/**
		 * ERP系统商品编码,string（50），条件必填
		 */
		@ApiField("itemCode")
		private String itemCode;
		/**
		 * 仓储系统商品编码
		 */
		@ApiField("itemId")
		private String itemId;
		/**
		 * 生产日期
		 */
		@ApiField("productDate")
		private String productDate;
		/**
		 * 库存数量
		 */
		@ApiField("quantity")
		private Long quantity;
	

	public String getBatchCode() {
			return this.batchCode;
		}
		public void setBatchCode(String batchCode) {
			this.batchCode = batchCode;
		}
		public String getExpireDate() {
			return this.expireDate;
		}
		public void setExpireDate(String expireDate) {
			this.expireDate = expireDate;
		}
		public Long getInventoryType() {
			return this.inventoryType;
		}
		public void setInventoryType(Long inventoryType) {
			this.inventoryType = inventoryType;
		}
		public String getItemCode() {
			return this.itemCode;
		}
		public void setItemCode(String itemCode) {
			this.itemCode = itemCode;
		}
		public String getItemId() {
			return this.itemId;
		}
		public void setItemId(String itemId) {
			this.itemId = itemId;
		}
		public String getProductDate() {
			return this.productDate;
		}
		public void setProductDate(String productDate) {
			this.productDate = productDate;
		}
		public Long getQuantity() {
			return this.quantity;
		}
		public void setQuantity(Long quantity) {
			this.quantity = quantity;
		}

}

	/**
 * 明细列表
 *
 * @author top auto create
 * @since 1.0, null
 */
 
public static class Items {

	/**
		 * 明细
		 */
		@ApiField("item")
		private Item item;
	

	public Item getItem() {
			return this.item;
		}
		public void setItem(Item item) {
			this.item = item;
		}

}



}
