package com.qimen.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;
import com.taobao.api.TaobaoObject;

import com.qimen.api.QimenResponse;

/**
 * TOP API: taobao.qimen.inventoryreserve.cancel response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class InventoryreserveCancelResponse extends QimenResponse {

	private static final long serialVersionUID = 7145248256662974216L;

	/** 
	 * 奇门仓储字段
	 */
	@ApiField("isRetry")
	private String isRetry;

	/** 
	 * 奇门仓储字段
	 */
	@ApiListField("itemInventories")
	@ApiField("item_inventory")
	private List<ItemInventory> itemInventories;

	/** 
	 * 奇门仓储字段
	 */
	@ApiField("orderCode")
	private String orderCode;


	public void setIsRetry(String isRetry) {
		this.isRetry = isRetry;
	}
	public String getIsRetry( ) {
		return this.isRetry;
	}

	public void setItemInventories(List<ItemInventory> itemInventories) {
		this.itemInventories = itemInventories;
	}
	public List<ItemInventory> getItemInventories( ) {
		return this.itemInventories;
	}

	public void setOrderCode(String orderCode) {
		this.orderCode = orderCode;
	}
	public String getOrderCode( ) {
		return this.orderCode;
	}
	
	/**
 * 奇门仓储字段
 *
 * @author top auto create
 * @since 1.0, null
 */
 
public static class ItemInventory {

	/**
		 * 响应码
		 */
		@ApiField("code")
		private String code;
		/**
		 * 奇门仓储字段
		 */
		@ApiField("combItemId")
		private String combItemId;
		/**
		 * 响应结果:success|failure
		 */
		@ApiField("flag")
		private String flag;
		/**
		 * 奇门仓储字段
		 */
		@ApiField("itemCode")
		private String itemCode;
		/**
		 * 奇门仓储字段
		 */
		@ApiField("itemId")
		private String itemId;
		/**
		 * 奇门仓储字段
		 */
		@ApiField("itemQuantity")
		private String itemQuantity;
		/**
		 * 响应信息
		 */
		@ApiField("message")
		private String message;
		/**
		 * 奇门仓储字段
		 */
		@ApiField("orderSourceCode")
		private String orderSourceCode;
		/**
		 * 奇门仓储字段
		 */
		@ApiField("subSourceCode")
		private String subSourceCode;
		/**
		 * 奇门仓储字段
		 */
		@ApiField("warehouseCode")
		private String warehouseCode;
	

	public String getCode() {
			return this.code;
		}
		public void setCode(String code) {
			this.code = code;
		}
		public String getCombItemId() {
			return this.combItemId;
		}
		public void setCombItemId(String combItemId) {
			this.combItemId = combItemId;
		}
		public String getFlag() {
			return this.flag;
		}
		public void setFlag(String flag) {
			this.flag = flag;
		}
		public String getItemCode() {
			return this.itemCode;
		}
		public void setItemCode(String itemCode) {
			this.itemCode = itemCode;
		}
		public String getItemId() {
			return this.itemId;
		}
		public void setItemId(String itemId) {
			this.itemId = itemId;
		}
		public String getItemQuantity() {
			return this.itemQuantity;
		}
		public void setItemQuantity(String itemQuantity) {
			this.itemQuantity = itemQuantity;
		}
		public String getMessage() {
			return this.message;
		}
		public void setMessage(String message) {
			this.message = message;
		}
		public String getOrderSourceCode() {
			return this.orderSourceCode;
		}
		public void setOrderSourceCode(String orderSourceCode) {
			this.orderSourceCode = orderSourceCode;
		}
		public String getSubSourceCode() {
			return this.subSourceCode;
		}
		public void setSubSourceCode(String subSourceCode) {
			this.subSourceCode = subSourceCode;
		}
		public String getWarehouseCode() {
			return this.warehouseCode;
		}
		public void setWarehouseCode(String warehouseCode) {
			this.warehouseCode = warehouseCode;
		}

}



}
