package com.qimen.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;
import com.taobao.api.TaobaoObject;

import com.qimen.api.QimenResponse;

/**
 * TOP API: taobao.qimen.inventoryreserve.create response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class InventoryreserveCreateResponse extends QimenResponse {

	private static final long serialVersionUID = 3855313593114338221L;

	/** 
	 * 是否需要重试(YN (默认为N)返回Y时建议系统自动重试)
	 */
	@ApiField("isRetry")
	private String isRetry;

	/** 
	 * null
	 */
	@ApiListField("itemInventories")
	@ApiField("item_inventory")
	private List<ItemInventory> itemInventories;

	/** 
	 * ERP订单编码
	 */
	@ApiField("orderCode")
	private String orderCode;


	public void setIsRetry(String isRetry) {
		this.isRetry = isRetry;
	}
	public String getIsRetry( ) {
		return this.isRetry;
	}

	public void setItemInventories(List<ItemInventory> itemInventories) {
		this.itemInventories = itemInventories;
	}
	public List<ItemInventory> getItemInventories( ) {
		return this.itemInventories;
	}

	public void setOrderCode(String orderCode) {
		this.orderCode = orderCode;
	}
	public String getOrderCode( ) {
		return this.orderCode;
	}
	
	/**
 * null
 *
 * @author top auto create
 * @since 1.0, null
 */
 
public static class ItemInventory {

	/**
		 * 菜鸟组合货品ID
		 */
		@ApiField("combItemId")
		private String combItemId;
		/**
		 * 菜鸟商品编码
		 */
		@ApiField("itemCode")
		private String itemCode;
		/**
		 * 菜鸟商品ID
		 */
		@ApiField("itemId")
		private String itemId;
		/**
		 * 订单交易编码
		 */
		@ApiField("orderSourceCode")
		private String orderSourceCode;
		/**
		 * 商品数量
		 */
		@ApiField("quantity")
		private Long quantity;
		/**
		 * 子交易编码
		 */
		@ApiField("subSourceCode")
		private String subSourceCode;
		/**
		 * 仓库编码
		 */
		@ApiField("warehouseCode")
		private String warehouseCode;
	

	public String getCombItemId() {
			return this.combItemId;
		}
		public void setCombItemId(String combItemId) {
			this.combItemId = combItemId;
		}
		public String getItemCode() {
			return this.itemCode;
		}
		public void setItemCode(String itemCode) {
			this.itemCode = itemCode;
		}
		public String getItemId() {
			return this.itemId;
		}
		public void setItemId(String itemId) {
			this.itemId = itemId;
		}
		public String getOrderSourceCode() {
			return this.orderSourceCode;
		}
		public void setOrderSourceCode(String orderSourceCode) {
			this.orderSourceCode = orderSourceCode;
		}
		public Long getQuantity() {
			return this.quantity;
		}
		public void setQuantity(Long quantity) {
			this.quantity = quantity;
		}
		public String getSubSourceCode() {
			return this.subSourceCode;
		}
		public void setSubSourceCode(String subSourceCode) {
			this.subSourceCode = subSourceCode;
		}
		public String getWarehouseCode() {
			return this.warehouseCode;
		}
		public void setWarehouseCode(String warehouseCode) {
			this.warehouseCode = warehouseCode;
		}

}



}
