package com.qimen.api.response;

import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.TaobaoObject;

import com.qimen.api.QimenResponse;

/**
 * TOP API: taobao.qimen.receiverinfo.query response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class ReceiverinfoQueryResponse extends QimenResponse {

	private static final long serialVersionUID = 4211834415897361433L;

	/** 
	 * 出库单号, string (50) , 必填
	 */
	@ApiField("deliveryOrderCode")
	private String deliveryOrderCode;

	/** 
	 * 订单收件人 ID, string (50)
	 */
	@ApiField("oaid")
	private String oaid;

	/** 
	 * 收货人信息
	 */
	@ApiField("receiverInfo")
	private ReceiverInfo receiverInfo;


	public void setDeliveryOrderCode(String deliveryOrderCode) {
		this.deliveryOrderCode = deliveryOrderCode;
	}
	public String getDeliveryOrderCode( ) {
		return this.deliveryOrderCode;
	}

	public void setOaid(String oaid) {
		this.oaid = oaid;
	}
	public String getOaid( ) {
		return this.oaid;
	}

	public void setReceiverInfo(ReceiverInfo receiverInfo) {
		this.receiverInfo = receiverInfo;
	}
	public ReceiverInfo getReceiverInfo( ) {
		return this.receiverInfo;
	}
	
	/**
 * 收货人信息
 *
 * @author top auto create
 * @since 1.0, null
 */
 
public static class ReceiverInfo {

	/**
		 * 收件人所在城市
		 */
		@ApiField("city")
		private String city;
		/**
		 * 国家二字码，string(50)
		 */
		@ApiField("countryCode")
		private String countryCode;
		/**
		 * 详细地址, string (200) , 必填
		 */
		@ApiField("detailAddress")
		private String detailAddress;
		/**
		 * 收件人所在区
		 */
		@ApiField("district")
		private String district;
		/**
		 * 移动电话, string (50) , 必填
		 */
		@ApiField("mobile")
		private String mobile;
		/**
		 * 姓名, string (50) , 必填
		 */
		@ApiField("name")
		private String name;
		/**
		 * 订单收件人 ID, string (50)
		 */
		@ApiField("oaid")
		private String oaid;
		/**
		 * 省份, string (50) , 必填
		 */
		@ApiField("province")
		private String province;
		/**
		 * 固定电话, string (50)
		 */
		@ApiField("tel")
		private String tel;
		/**
		 * 收件人所在街道
		 */
		@ApiField("town")
		private String town;
	

	public String getCity() {
			return this.city;
		}
		public void setCity(String city) {
			this.city = city;
		}
		public String getCountryCode() {
			return this.countryCode;
		}
		public void setCountryCode(String countryCode) {
			this.countryCode = countryCode;
		}
		public String getDetailAddress() {
			return this.detailAddress;
		}
		public void setDetailAddress(String detailAddress) {
			this.detailAddress = detailAddress;
		}
		public String getDistrict() {
			return this.district;
		}
		public void setDistrict(String district) {
			this.district = district;
		}
		public String getMobile() {
			return this.mobile;
		}
		public void setMobile(String mobile) {
			this.mobile = mobile;
		}
		public String getName() {
			return this.name;
		}
		public void setName(String name) {
			this.name = name;
		}
		public String getOaid() {
			return this.oaid;
		}
		public void setOaid(String oaid) {
			this.oaid = oaid;
		}
		public String getProvince() {
			return this.province;
		}
		public void setProvince(String province) {
			this.province = province;
		}
		public String getTel() {
			return this.tel;
		}
		public void setTel(String tel) {
			this.tel = tel;
		}
		public String getTown() {
			return this.town;
		}
		public void setTown(String town) {
			this.town = town;
		}

}



}
