package com.qimen.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;
import com.taobao.api.TaobaoObject;

import com.qimen.api.QimenResponse;

/**
 * TOP API: taobao.qimen.transferorder.query response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class TransferorderQueryResponse extends QimenResponse {

	private static final long serialVersionUID = 5452517812499337576L;

	/** 
	 * 调拨单细节
	 */
	@ApiField("transferOrderDetail")
	private TransferOrderDetail transferOrderDetail;


	public void setTransferOrderDetail(TransferOrderDetail transferOrderDetail) {
		this.transferOrderDetail = transferOrderDetail;
	}
	public TransferOrderDetail getTransferOrderDetail( ) {
		return this.transferOrderDetail;
	}
	
	/**
 * 调拨单货品明细记录集
 *
 * @author top auto create
 * @since 1.0, null
 */
 
public static class Item {

	/**
		 * 实际入库数量,Item1234,string(50),,
		 */
		@ApiField("inCount")
		private String inCount;
		/**
		 * 库存类型(1:可销售库存.101:残次),HZ1234,string(500),,
		 */
		@ApiField("inventoryType")
		private String inventoryType;
		/**
		 * 实际出库数量,Item1234,string(50),,
		 */
		@ApiField("outCount")
		private String outCount;
		/**
		 * 计划调拨数量,Item1234,string(50),,
		 */
		@ApiField("planCount")
		private String planCount;
		/**
		 * 货品编码,HZ1234,string(50),,
		 */
		@ApiField("scItemCode")
		private String scItemCode;
	

	public String getInCount() {
			return this.inCount;
		}
		public void setInCount(String inCount) {
			this.inCount = inCount;
		}
		public String getInventoryType() {
			return this.inventoryType;
		}
		public void setInventoryType(String inventoryType) {
			this.inventoryType = inventoryType;
		}
		public String getOutCount() {
			return this.outCount;
		}
		public void setOutCount(String outCount) {
			this.outCount = outCount;
		}
		public String getPlanCount() {
			return this.planCount;
		}
		public void setPlanCount(String planCount) {
			this.planCount = planCount;
		}
		public String getScItemCode() {
			return this.scItemCode;
		}
		public void setScItemCode(String scItemCode) {
			this.scItemCode = scItemCode;
		}

}

	/**
 * 调拨单细节
 *
 * @author top auto create
 * @since 1.0, null
 */
 
public static class TransferOrderDetail {

	/**
		 * 确认入库时间
		 */
		@ApiField("confirmInTime")
		private String confirmInTime;
		/**
		 * 确认出库时间
		 */
		@ApiField("confirmOutTime")
		private String confirmOutTime;
		/**
		 * 创建时间
		 */
		@ApiField("createTime")
		private String createTime;
		/**
		 * 外部ERP订单号,HZ1234,string(50),,
		 */
		@ApiField("erpOrderCode")
		private String erpOrderCode;
		/**
		 * 调拨出库仓编码
		 */
		@ApiField("fromWarehouseCode")
		private String fromWarehouseCode;
		/**
		 * 调拨单货品明细记录集
		 */
		@ApiListField("items")
		@ApiField("item")
		private List<Item> items;
		/**
		 * 订单状态,0,string(50),,
		 */
		@ApiField("orderStatus")
		private String orderStatus;
		/**
		 * 1111
		 */
		@ApiField("ownerCode")
		private String ownerCode;
		/**
		 * 调拨入库仓编码
		 */
		@ApiField("toWarehouseCode")
		private String toWarehouseCode;
		/**
		 * 调拨入库单号
		 */
		@ApiField("transferInOrderCode")
		private String transferInOrderCode;
		/**
		 * 调拨单号,0,string(50),,
		 */
		@ApiField("transferOrderCode")
		private String transferOrderCode;
		/**
		 * 调拨出库单号
		 */
		@ApiField("transferOutOrderCode")
		private String transferOutOrderCode;
	

	public String getConfirmInTime() {
			return this.confirmInTime;
		}
		public void setConfirmInTime(String confirmInTime) {
			this.confirmInTime = confirmInTime;
		}
		public String getConfirmOutTime() {
			return this.confirmOutTime;
		}
		public void setConfirmOutTime(String confirmOutTime) {
			this.confirmOutTime = confirmOutTime;
		}
		public String getCreateTime() {
			return this.createTime;
		}
		public void setCreateTime(String createTime) {
			this.createTime = createTime;
		}
		public String getErpOrderCode() {
			return this.erpOrderCode;
		}
		public void setErpOrderCode(String erpOrderCode) {
			this.erpOrderCode = erpOrderCode;
		}
		public String getFromWarehouseCode() {
			return this.fromWarehouseCode;
		}
		public void setFromWarehouseCode(String fromWarehouseCode) {
			this.fromWarehouseCode = fromWarehouseCode;
		}
		public List<Item> getItems() {
			return this.items;
		}
		public void setItems(List<Item> items) {
			this.items = items;
		}
		public String getOrderStatus() {
			return this.orderStatus;
		}
		public void setOrderStatus(String orderStatus) {
			this.orderStatus = orderStatus;
		}
		public String getOwnerCode() {
			return this.ownerCode;
		}
		public void setOwnerCode(String ownerCode) {
			this.ownerCode = ownerCode;
		}
		public String getToWarehouseCode() {
			return this.toWarehouseCode;
		}
		public void setToWarehouseCode(String toWarehouseCode) {
			this.toWarehouseCode = toWarehouseCode;
		}
		public String getTransferInOrderCode() {
			return this.transferInOrderCode;
		}
		public void setTransferInOrderCode(String transferInOrderCode) {
			this.transferInOrderCode = transferInOrderCode;
		}
		public String getTransferOrderCode() {
			return this.transferOrderCode;
		}
		public void setTransferOrderCode(String transferOrderCode) {
			this.transferOrderCode = transferOrderCode;
		}
		public String getTransferOutOrderCode() {
			return this.transferOutOrderCode;
		}
		public void setTransferOutOrderCode(String transferOutOrderCode) {
			this.transferOutOrderCode = transferOutOrderCode;
		}

}



}
