package com.qimen.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;
import com.taobao.api.TaobaoObject;

import com.qimen.api.QimenResponse;

/**
 * TOP API: taobao.qimen.warehouseinfo.query response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class WarehouseinfoQueryResponse extends QimenResponse {

	private static final long serialVersionUID = 4559751951971452859L;

	/** 
	 * 奇门仓储字段
	 */
	@ApiField("ownerCode")
	private String ownerCode;

	/** 
	 * 奇门仓储字段
	 */
	@ApiField("ownerName")
	private String ownerName;

	/** 
	 * 奇门仓储字段
	 */
	@ApiListField("warehouseInfos")
	@ApiField("warehouse_info")
	private List<WarehouseInfo> warehouseInfos;


	public void setOwnerCode(String ownerCode) {
		this.ownerCode = ownerCode;
	}
	public String getOwnerCode( ) {
		return this.ownerCode;
	}

	public void setOwnerName(String ownerName) {
		this.ownerName = ownerName;
	}
	public String getOwnerName( ) {
		return this.ownerName;
	}

	public void setWarehouseInfos(List<WarehouseInfo> warehouseInfos) {
		this.warehouseInfos = warehouseInfos;
	}
	public List<WarehouseInfo> getWarehouseInfos( ) {
		return this.warehouseInfos;
	}
	
	/**
 * 奇门仓储字段
 *
 * @author top auto create
 * @since 1.0, null
 */
 
public static class WarehouseInfo {

	/**
		 * 奇门仓储字段
		 */
		@ApiField("area")
		private String area;
		/**
		 * 奇门仓储字段
		 */
		@ApiField("city")
		private String city;
		/**
		 * 奇门仓储字段
		 */
		@ApiField("detailAddress")
		private String detailAddress;
		/**
		 * 奇门仓储字段
		 */
		@ApiField("mobile")
		private String mobile;
		/**
		 * 奇门仓储字段
		 */
		@ApiField("name")
		private String name;
		/**
		 * 奇门仓储字段
		 */
		@ApiField("province")
		private String province;
		/**
		 * 奇门仓储字段
		 */
		@ApiField("status")
		private String status;
		/**
		 * 奇门仓储字段
		 */
		@ApiField("tel")
		private String tel;
		/**
		 * 奇门仓储字段
		 */
		@ApiField("town")
		private String town;
		/**
		 * 奇门仓储字段
		 */
		@ApiField("warehouseCode")
		private String warehouseCode;
		/**
		 * 奇门仓储字段
		 */
		@ApiField("warehouseName")
		private String warehouseName;
	

	public String getArea() {
			return this.area;
		}
		public void setArea(String area) {
			this.area = area;
		}
		public String getCity() {
			return this.city;
		}
		public void setCity(String city) {
			this.city = city;
		}
		public String getDetailAddress() {
			return this.detailAddress;
		}
		public void setDetailAddress(String detailAddress) {
			this.detailAddress = detailAddress;
		}
		public String getMobile() {
			return this.mobile;
		}
		public void setMobile(String mobile) {
			this.mobile = mobile;
		}
		public String getName() {
			return this.name;
		}
		public void setName(String name) {
			this.name = name;
		}
		public String getProvince() {
			return this.province;
		}
		public void setProvince(String province) {
			this.province = province;
		}
		public String getStatus() {
			return this.status;
		}
		public void setStatus(String status) {
			this.status = status;
		}
		public String getTel() {
			return this.tel;
		}
		public void setTel(String tel) {
			this.tel = tel;
		}
		public String getTown() {
			return this.town;
		}
		public void setTown(String town) {
			this.town = town;
		}
		public String getWarehouseCode() {
			return this.warehouseCode;
		}
		public void setWarehouseCode(String warehouseCode) {
			this.warehouseCode = warehouseCode;
		}
		public String getWarehouseName() {
			return this.warehouseName;
		}
		public void setWarehouseName(String warehouseName) {
			this.warehouseName = warehouseName;
		}

}



}
