package com.taobao.api.request;

import com.taobao.api.internal.util.RequestCheckUtils;
import java.util.Map;

import com.taobao.api.ApiRuleException;
import com.taobao.api.BaseTaobaoRequest;
import com.taobao.api.internal.util.TaobaoHashMap;

import com.taobao.api.response.AlibabaItemOperateDownshelfResponse;

/**
 * TOP API: alibaba.item.operate.downshelf request
 * 
 * @author top auto create
 * @since 1.0, 2021.05.27
 */
public class AlibabaItemOperateDownshelfRequest extends BaseTaobaoRequest<AlibabaItemOperateDownshelfResponse> {
	
	

	/** 
	* 商品ID
	 */
	private Long itemId;

	public void setItemId(Long itemId) {
		this.itemId = itemId;
	}

	public Long getItemId() {
		return this.itemId;
	}

	public String getApiMethodName() {
		return "alibaba.item.operate.downshelf";
	}

	public Map<String, String> getTextParams() {		
		TaobaoHashMap txtParams = new TaobaoHashMap();
		txtParams.put("item_id", this.itemId);
		if(this.udfParams != null) {
			txtParams.putAll(this.udfParams);
		}
		return txtParams;
	}

	public Class<AlibabaItemOperateDownshelfResponse> getResponseClass() {
		return AlibabaItemOperateDownshelfResponse.class;
	}

	public void check() throws ApiRuleException {
		RequestCheckUtils.checkNotEmpty(itemId, "itemId");
	}
	

}