package com.taobao.api.request;

import com.taobao.api.internal.util.RequestCheckUtils;
import java.util.Map;

import com.taobao.api.ApiRuleException;
import com.taobao.api.BaseTaobaoRequest;
import com.taobao.api.internal.util.TaobaoHashMap;

import com.taobao.api.response.AlibabaItemOperateUpshelfResponse;

/**
 * TOP API: alibaba.item.operate.upshelf request
 * 
 * @author top auto create
 * @since 1.0, 2021.05.27
 */
public class AlibabaItemOperateUpshelfRequest extends BaseTaobaoRequest<AlibabaItemOperateUpshelfResponse> {
	
	

	/** 
	* 商品ID
	 */
	private Long itemId;

	/** 
	* 商品库存
	 */
	private Long quantity;

	public void setItemId(Long itemId) {
		this.itemId = itemId;
	}

	public Long getItemId() {
		return this.itemId;
	}

	public void setQuantity(Long quantity) {
		this.quantity = quantity;
	}

	public Long getQuantity() {
		return this.quantity;
	}

	public String getApiMethodName() {
		return "alibaba.item.operate.upshelf";
	}

	public Map<String, String> getTextParams() {		
		TaobaoHashMap txtParams = new TaobaoHashMap();
		txtParams.put("item_id", this.itemId);
		txtParams.put("quantity", this.quantity);
		if(this.udfParams != null) {
			txtParams.putAll(this.udfParams);
		}
		return txtParams;
	}

	public Class<AlibabaItemOperateUpshelfResponse> getResponseClass() {
		return AlibabaItemOperateUpshelfResponse.class;
	}

	public void check() throws ApiRuleException {
		RequestCheckUtils.checkNotEmpty(itemId, "itemId");
	}
	

}