package com.taobao.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;
import com.taobao.api.TaobaoObject;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: alibaba.wdk.coupon.sku.remove response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class AlibabaWdkCouponSkuRemoveResponse extends TaobaoResponse {

	private static final long serialVersionUID = 3156368243953851696L;

	/** 
	 * 结果
	 */
	@ApiField("result")
	private ApiResult result;


	public void setResult(ApiResult result) {
		this.result = result;
	}
	public ApiResult getResult( ) {
		return this.result;
	}
	
	/**
 * 创建结果
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class FailElement extends TaobaoObject {

	private static final long serialVersionUID = 4488915415227153776L;

	/**
		 * 错误信息
		 */
		@ApiField("error_msg")
		private String errorMsg;
		/**
		 * 参与者id
		 */
		@ApiField("participate_id")
		private String participateId;
		/**
		 * 参与者名称
		 */
		@ApiField("participate_name")
		private String participateName;
	

	public String getErrorMsg() {
			return this.errorMsg;
		}
		public void setErrorMsg(String errorMsg) {
			this.errorMsg = errorMsg;
		}
		public String getParticipateId() {
			return this.participateId;
		}
		public void setParticipateId(String participateId) {
			this.participateId = participateId;
		}
		public String getParticipateName() {
			return this.participateName;
		}
		public void setParticipateName(String participateName) {
			this.participateName = participateName;
		}

}

	/**
 * 返回
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class CouponTemplateOperateResponse extends TaobaoObject {

	private static final long serialVersionUID = 4843462187876714228L;

	/**
		 * 创建结果
		 */
		@ApiListField("fail_elements")
		@ApiField("fail_element")
		private List<FailElement> failElements;
		/**
		 * 模板表主键
		 */
		@ApiField("id")
		private Long id;
		/**
		 * ump模板ID
		 */
		@ApiField("source_id")
		private Long sourceId;
	

	public List<FailElement> getFailElements() {
			return this.failElements;
		}
		public void setFailElements(List<FailElement> failElements) {
			this.failElements = failElements;
		}
		public Long getId() {
			return this.id;
		}
		public void setId(Long id) {
			this.id = id;
		}
		public Long getSourceId() {
			return this.sourceId;
		}
		public void setSourceId(Long sourceId) {
			this.sourceId = sourceId;
		}

}

	/**
 * 结果
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class ApiResult extends TaobaoObject {

	private static final long serialVersionUID = 5893656151164253227L;

	/**
		 * 错误码
		 */
		@ApiField("err_code")
		private String errCode;
		/**
		 * 错误信息
		 */
		@ApiField("err_msg")
		private String errMsg;
		/**
		 * 返回
		 */
		@ApiField("model")
		private CouponTemplateOperateResponse model;
		/**
		 * 成功标志
		 */
		@ApiField("success")
		private Boolean success;
	

	public String getErrCode() {
			return this.errCode;
		}
		public void setErrCode(String errCode) {
			this.errCode = errCode;
		}
		public String getErrMsg() {
			return this.errMsg;
		}
		public void setErrMsg(String errMsg) {
			this.errMsg = errMsg;
		}
		public CouponTemplateOperateResponse getModel() {
			return this.model;
		}
		public void setModel(CouponTemplateOperateResponse model) {
			this.model = model;
		}
		public Boolean getSuccess() {
			return this.success;
		}
		public void setSuccess(Boolean success) {
			this.success = success;
		}

}



}
