package com.taobao.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;
import com.taobao.api.TaobaoObject;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: alibaba.wdk.coupon.template.queryumpactid response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class AlibabaWdkCouponTemplateQueryumpactidResponse extends TaobaoResponse {

	private static final long serialVersionUID = 7263995134456551643L;

	/** 
	 * 根据站点名称查询产品
	 */
	@ApiField("api_result")
	private ApiResult apiResult;


	public void setApiResult(ApiResult apiResult) {
		this.apiResult = apiResult;
	}
	public ApiResult getApiResult( ) {
		return this.apiResult;
	}
	
	/**
 * 数据
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class CouponRelatedResponse extends TaobaoObject {

	private static final long serialVersionUID = 8112345396741315228L;

	/**
		 * 券模版id
		 */
		@ApiField("source_id")
		private Long sourceId;
		/**
		 * 活动id
		 */
		@ApiField("ump_activity_id")
		private Long umpActivityId;
	

	public Long getSourceId() {
			return this.sourceId;
		}
		public void setSourceId(Long sourceId) {
			this.sourceId = sourceId;
		}
		public Long getUmpActivityId() {
			return this.umpActivityId;
		}
		public void setUmpActivityId(Long umpActivityId) {
			this.umpActivityId = umpActivityId;
		}

}

	/**
 * 根据站点名称查询产品
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class ApiResult extends TaobaoObject {

	private static final long serialVersionUID = 7489118849451137779L;

	/**
		 * 错误码
		 */
		@ApiField("err_code")
		private String errCode;
		/**
		 * 错误信息
		 */
		@ApiField("err_msg")
		private String errMsg;
		/**
		 * 数据
		 */
		@ApiListField("models")
		@ApiField("coupon_related_response")
		private List<CouponRelatedResponse> models;
		/**
		 * true为成功
		 */
		@ApiField("success")
		private Boolean success;
	

	public String getErrCode() {
			return this.errCode;
		}
		public void setErrCode(String errCode) {
			this.errCode = errCode;
		}
		public String getErrMsg() {
			return this.errMsg;
		}
		public void setErrMsg(String errMsg) {
			this.errMsg = errMsg;
		}
		public List<CouponRelatedResponse> getModels() {
			return this.models;
		}
		public void setModels(List<CouponRelatedResponse> models) {
			this.models = models;
		}
		public Boolean getSuccess() {
			return this.success;
		}
		public void setSuccess(Boolean success) {
			this.success = success;
		}

}



}
