package com.taobao.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;
import com.taobao.api.TaobaoObject;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: alibaba.wdk.marketing.buygift.item.add.async response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class AlibabaWdkMarketingBuygiftItemAddAsyncResponse extends TaobaoResponse {

	private static final long serialVersionUID = 6281927354381729338L;

	/** 
	 * 结果信息
	 */
	@ApiField("result")
	private MarketResult result;


	public void setResult(MarketResult result) {
		this.result = result;
	}
	public MarketResult getResult( ) {
		return this.result;
	}
	
	/**
 * 结果数据
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class ItemBuyGiftSku extends TaobaoObject {

	private static final long serialVersionUID = 4843125257258481572L;

	/**
		 * 赠品sku
		 */
		@ApiField("gift_sku_code")
		private String giftSkuCode;
		/**
		 * sku编码
		 */
		@ApiField("sku_code")
		private String skuCode;
	

	public String getGiftSkuCode() {
			return this.giftSkuCode;
		}
		public void setGiftSkuCode(String giftSkuCode) {
			this.giftSkuCode = giftSkuCode;
		}
		public String getSkuCode() {
			return this.skuCode;
		}
		public void setSkuCode(String skuCode) {
			this.skuCode = skuCode;
		}

}

	/**
 * 结果信息
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class MarketResult extends TaobaoObject {

	private static final long serialVersionUID = 4623247142689675959L;

	/**
		 * 结果数据
		 */
		@ApiListField("datas")
		@ApiField("item_buy_gift_sku")
		private List<ItemBuyGiftSku> datas;
		/**
		 * 错误编码
		 */
		@ApiField("error_code")
		private String errorCode;
		/**
		 * 处理结果
		 */
		@ApiField("message")
		private String message;
		/**
		 * success
		 */
		@ApiField("success")
		private Boolean success;
	

	public List<ItemBuyGiftSku> getDatas() {
			return this.datas;
		}
		public void setDatas(List<ItemBuyGiftSku> datas) {
			this.datas = datas;
		}
		public String getErrorCode() {
			return this.errorCode;
		}
		public void setErrorCode(String errorCode) {
			this.errorCode = errorCode;
		}
		public String getMessage() {
			return this.message;
		}
		public void setMessage(String message) {
			this.message = message;
		}
		public Boolean getSuccess() {
			return this.success;
		}
		public void setSuccess(Boolean success) {
			this.success = success;
		}

}



}
