package com.taobao.api.response;

import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.TaobaoObject;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: alibaba.wdk.marketing.coupon.sendma response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class AlibabaWdkMarketingCouponSendmaResponse extends TaobaoResponse {

	private static final long serialVersionUID = 6264629834558574831L;

	/** 
	 * 发放匿名码返回结果
	 */
	@ApiField("result")
	private MarketResult result;


	public void setResult(MarketResult result) {
		this.result = result;
	}
	public MarketResult getResult( ) {
		return this.result;
	}
	
	/**
 * 返回的匿名码对象
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class CouponActivity extends TaobaoObject {

	private static final long serialVersionUID = 6117324773816882711L;

	/**
		 * 匿名码code
		 */
		@ApiField("ma_code")
		private String maCode;
	

	public String getMaCode() {
			return this.maCode;
		}
		public void setMaCode(String maCode) {
			this.maCode = maCode;
		}

}

	/**
 * 发放匿名码返回结果
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class MarketResult extends TaobaoObject {

	private static final long serialVersionUID = 2452979235479825926L;

	/**
		 * 返回的匿名码对象
		 */
		@ApiField("data")
		private CouponActivity data;
		/**
		 * 错误信息
		 */
		@ApiField("message")
		private String message;
	

	public CouponActivity getData() {
			return this.data;
		}
		public void setData(CouponActivity data) {
			this.data = data;
		}
		public String getMessage() {
			return this.message;
		}
		public void setMessage(String message) {
			this.message = message;
		}

}



}
