package com.taobao.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;
import com.taobao.api.TaobaoObject;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: alibaba.wdk.marketing.discount.item.remove.async response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class AlibabaWdkMarketingDiscountItemRemoveAsyncResponse extends TaobaoResponse {

	private static final long serialVersionUID = 5576241813231683676L;

	/** 
	 * 结果信息
	 */
	@ApiField("result")
	private MarketResult result;


	public void setResult(MarketResult result) {
		this.result = result;
	}
	public MarketResult getResult( ) {
		return this.result;
	}
	
	/**
 * 结果数据
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class ItemDiscountSku extends TaobaoObject {

	private static final long serialVersionUID = 7335461789819723153L;

	/**
		 * sku编码
		 */
		@ApiField("sku_code")
		private String skuCode;
	

	public String getSkuCode() {
			return this.skuCode;
		}
		public void setSkuCode(String skuCode) {
			this.skuCode = skuCode;
		}

}

	/**
 * 结果信息
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class MarketResult extends TaobaoObject {

	private static final long serialVersionUID = 1494871447266565843L;

	/**
		 * 结果数据
		 */
		@ApiListField("datas")
		@ApiField("item_discount_sku")
		private List<ItemDiscountSku> datas;
		/**
		 * 错误编码
		 */
		@ApiField("error_code")
		private String errorCode;
		/**
		 * 处理结果
		 */
		@ApiField("message")
		private String message;
		/**
		 * success
		 */
		@ApiField("success")
		private Boolean success;
	

	public List<ItemDiscountSku> getDatas() {
			return this.datas;
		}
		public void setDatas(List<ItemDiscountSku> datas) {
			this.datas = datas;
		}
		public String getErrorCode() {
			return this.errorCode;
		}
		public void setErrorCode(String errorCode) {
			this.errorCode = errorCode;
		}
		public String getMessage() {
			return this.message;
		}
		public void setMessage(String message) {
			this.message = message;
		}
		public Boolean getSuccess() {
			return this.success;
		}
		public void setSuccess(Boolean success) {
			this.success = success;
		}

}



}
