package com.taobao.api.response;

import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.TaobaoObject;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: alibaba.wdk.marketing.fullrange.addexchangeitem response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class AlibabaWdkMarketingFullrangeAddexchangeitemResponse extends TaobaoResponse {

	private static final long serialVersionUID = 5137415914127259526L;

	/** 
	 * 添加商品返回结果
	 */
	@ApiField("result")
	private MarketResult result;


	public void setResult(MarketResult result) {
		this.result = result;
	}
	public MarketResult getResult( ) {
		return this.result;
	}
	
	/**
 * data
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class ItemStairSku extends TaobaoObject {

	private static final long serialVersionUID = 2255256951541787627L;

	/**
		 * 换购价（分）
		 */
		@ApiField("exchange_price")
		private Long exchangePrice;
		/**
		 * 换购商品总数限制
		 */
		@ApiField("exchange_total_limit")
		private Long exchangeTotalLimit;
		/**
		 * skuCode
		 */
		@ApiField("sku_code")
		private String skuCode;
	

	public Long getExchangePrice() {
			return this.exchangePrice;
		}
		public void setExchangePrice(Long exchangePrice) {
			this.exchangePrice = exchangePrice;
		}
		public Long getExchangeTotalLimit() {
			return this.exchangeTotalLimit;
		}
		public void setExchangeTotalLimit(Long exchangeTotalLimit) {
			this.exchangeTotalLimit = exchangeTotalLimit;
		}
		public String getSkuCode() {
			return this.skuCode;
		}
		public void setSkuCode(String skuCode) {
			this.skuCode = skuCode;
		}

}

	/**
 * 添加商品返回结果
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class MarketResult extends TaobaoObject {

	private static final long serialVersionUID = 8176934622966728291L;

	/**
		 * data
		 */
		@ApiField("data")
		private ItemStairSku data;
		/**
		 * 错误编码
		 */
		@ApiField("error_code")
		private String errorCode;
		/**
		 * 结果信息
		 */
		@ApiField("message")
		private String message;
		/**
		 * success
		 */
		@ApiField("success")
		private Boolean success;
	

	public ItemStairSku getData() {
			return this.data;
		}
		public void setData(ItemStairSku data) {
			this.data = data;
		}
		public String getErrorCode() {
			return this.errorCode;
		}
		public void setErrorCode(String errorCode) {
			this.errorCode = errorCode;
		}
		public String getMessage() {
			return this.message;
		}
		public void setMessage(String message) {
			this.message = message;
		}
		public Boolean getSuccess() {
			return this.success;
		}
		public void setSuccess(Boolean success) {
			this.success = success;
		}

}



}
