package com.taobao.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;
import com.taobao.api.TaobaoObject;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: alibaba.wdk.marketing.open.darunfa.activity.sku.sync response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class AlibabaWdkMarketingOpenDarunfaActivitySkuSyncResponse extends TaobaoResponse {

	private static final long serialVersionUID = 2463337377161617957L;

	/** 
	 * 返回结果信息
	 */
	@ApiField("result")
	private WdkMarketOpenResult result;


	public void setResult(WdkMarketOpenResult result) {
		this.result = result;
	}
	public WdkMarketOpenResult getResult( ) {
		return this.result;
	}
	
	/**
 * 123
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class SyncActivitySkuResultBo extends TaobaoObject {

	private static final long serialVersionUID = 5865224655296629491L;

	/**
		 * 商品池ID
		 */
		@ApiField("pool_id")
		private Long poolId;
		/**
		 * 活动Id
		 */
		@ApiField("promotion_id")
		private String promotionId;
		/**
		 * 商品编码
		 */
		@ApiField("sku_code")
		private String skuCode;
		/**
		 * 版本Id
		 */
		@ApiField("version_id")
		private Long versionId;
	

	public Long getPoolId() {
			return this.poolId;
		}
		public void setPoolId(Long poolId) {
			this.poolId = poolId;
		}
		public String getPromotionId() {
			return this.promotionId;
		}
		public void setPromotionId(String promotionId) {
			this.promotionId = promotionId;
		}
		public String getSkuCode() {
			return this.skuCode;
		}
		public void setSkuCode(String skuCode) {
			this.skuCode = skuCode;
		}
		public Long getVersionId() {
			return this.versionId;
		}
		public void setVersionId(Long versionId) {
			this.versionId = versionId;
		}

}

	/**
 * 返回结果信息
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class WdkMarketOpenResult extends TaobaoObject {

	private static final long serialVersionUID = 5392729137848238528L;

	/**
		 * 123
		 */
		@ApiListField("datas")
		@ApiField("sync_activity_sku_result_bo")
		private List<SyncActivitySkuResultBo> datas;
		/**
		 * 123123
		 */
		@ApiField("error_code")
		private String errorCode;
		/**
		 * 123123
		 */
		@ApiField("message")
		private String message;
		/**
		 * 123123
		 */
		@ApiField("success")
		private Boolean success;
	

	public List<SyncActivitySkuResultBo> getDatas() {
			return this.datas;
		}
		public void setDatas(List<SyncActivitySkuResultBo> datas) {
			this.datas = datas;
		}
		public String getErrorCode() {
			return this.errorCode;
		}
		public void setErrorCode(String errorCode) {
			this.errorCode = errorCode;
		}
		public String getMessage() {
			return this.message;
		}
		public void setMessage(String message) {
			this.message = message;
		}
		public Boolean getSuccess() {
			return this.success;
		}
		public void setSuccess(Boolean success) {
			this.success = success;
		}

}



}
