package com.taobao.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;
import com.taobao.api.TaobaoObject;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: alibaba.wdk.marketing.open.darunfa.activity.sync response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class AlibabaWdkMarketingOpenDarunfaActivitySyncResponse extends TaobaoResponse {

	private static final long serialVersionUID = 1313181831279782112L;

	/** 
	 * 结果信息
	 */
	@ApiField("result")
	private WdkMarketOpenResult result;


	public void setResult(WdkMarketOpenResult result) {
		this.result = result;
	}
	public WdkMarketOpenResult getResult( ) {
		return this.result;
	}
	
	/**
 * 活动数据
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class SyncActivityResultBo extends TaobaoObject {

	private static final long serialVersionUID = 3623962633437476344L;

	/**
		 * 大润发活动ID
		 */
		@ApiField("promotion_id")
		private String promotionId;
		/**
		 * 门店ID
		 */
		@ApiField("store_ids")
		private String storeIds;
		/**
		 * 版本ID
		 */
		@ApiField("version_id")
		private Long versionId;
	

	public String getPromotionId() {
			return this.promotionId;
		}
		public void setPromotionId(String promotionId) {
			this.promotionId = promotionId;
		}
		public String getStoreIds() {
			return this.storeIds;
		}
		public void setStoreIds(String storeIds) {
			this.storeIds = storeIds;
		}
		public Long getVersionId() {
			return this.versionId;
		}
		public void setVersionId(Long versionId) {
			this.versionId = versionId;
		}

}

	/**
 * 结果信息
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class WdkMarketOpenResult extends TaobaoObject {

	private static final long serialVersionUID = 1844989285518565495L;

	/**
		 * 活动数据
		 */
		@ApiListField("activity_list")
		@ApiField("sync_activity_result_bo")
		private List<SyncActivityResultBo> activityList;
		/**
		 * 错误描述
		 */
		@ApiField("error_code")
		private String errorCode;
		/**
		 * 错误码
		 */
		@ApiField("message")
		private String message;
		/**
		 * true--成功，false--失败
		 */
		@ApiField("success")
		private Boolean success;
	

	public List<SyncActivityResultBo> getActivityList() {
			return this.activityList;
		}
		public void setActivityList(List<SyncActivityResultBo> activityList) {
			this.activityList = activityList;
		}
		public String getErrorCode() {
			return this.errorCode;
		}
		public void setErrorCode(String errorCode) {
			this.errorCode = errorCode;
		}
		public String getMessage() {
			return this.message;
		}
		public void setMessage(String message) {
			this.message = message;
		}
		public Boolean getSuccess() {
			return this.success;
		}
		public void setSuccess(Boolean success) {
			this.success = success;
		}

}



}
