package com.taobao.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;
import com.taobao.api.TaobaoObject;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: alibaba.wdk.marketing.open.data.relation.query response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class AlibabaWdkMarketingOpenDataRelationQueryResponse extends TaobaoResponse {

	private static final long serialVersionUID = 4355995421624524953L;

	/** 
	 * 结果信息
	 */
	@ApiField("result")
	private WdkMarketOpenResult result;


	public void setResult(WdkMarketOpenResult result) {
		this.result = result;
	}
	public WdkMarketOpenResult getResult( ) {
		return this.result;
	}
	
	/**
 * 结果数据
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class OutTxdDataRelation extends TaobaoObject {

	private static final long serialVersionUID = 7178446987529759452L;

	/**
		 * 数据类型
		 */
		@ApiField("biz_code")
		private String bizCode;
		/**
		 * 外部数据Id
		 */
		@ApiField("out_data_id")
		private String outDataId;
		/**
		 * 子数据类型
		 */
		@ApiField("sub_biz_code")
		private String subBizCode;
		/**
		 * 淘鲜达数据Id
		 */
		@ApiField("txd_data_id")
		private String txdDataId;
	

	public String getBizCode() {
			return this.bizCode;
		}
		public void setBizCode(String bizCode) {
			this.bizCode = bizCode;
		}
		public String getOutDataId() {
			return this.outDataId;
		}
		public void setOutDataId(String outDataId) {
			this.outDataId = outDataId;
		}
		public String getSubBizCode() {
			return this.subBizCode;
		}
		public void setSubBizCode(String subBizCode) {
			this.subBizCode = subBizCode;
		}
		public String getTxdDataId() {
			return this.txdDataId;
		}
		public void setTxdDataId(String txdDataId) {
			this.txdDataId = txdDataId;
		}

}

	/**
 * 结果信息
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class WdkMarketOpenResult extends TaobaoObject {

	private static final long serialVersionUID = 6292498999523585863L;

	/**
		 * 结果数据
		 */
		@ApiListField("datas")
		@ApiField("out_txd_data_relation")
		private List<OutTxdDataRelation> datas;
		/**
		 * 错误编码
		 */
		@ApiField("error_code")
		private String errorCode;
		/**
		 * 错误描述
		 */
		@ApiField("message")
		private String message;
	

	public List<OutTxdDataRelation> getDatas() {
			return this.datas;
		}
		public void setDatas(List<OutTxdDataRelation> datas) {
			this.datas = datas;
		}
		public String getErrorCode() {
			return this.errorCode;
		}
		public void setErrorCode(String errorCode) {
			this.errorCode = errorCode;
		}
		public String getMessage() {
			return this.message;
		}
		public void setMessage(String message) {
			this.message = message;
		}

}



}
