package com.taobao.api.response;

import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.TaobaoObject;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: cainiao.endpoint.locker.top.order.noticesend.query response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class CainiaoEndpointLockerTopOrderNoticesendQueryResponse extends TaobaoResponse {

	private static final long serialVersionUID = 3458647246396454432L;

	/** 
	 * 返回结果
	 */
	@ApiField("result")
	private SingleResult result;


	public void setResult(SingleResult result) {
		this.result = result;
	}
	public SingleResult getResult( ) {
		return this.result;
	}
	
	/**
 * data
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class Data extends TaobaoObject {

	private static final long serialVersionUID = 3154616631528713959L;

	/**
		 * 快递公司编码
		 */
		@ApiField("cp_code")
		private String cpCode;
		/**
		 * 快递公司名称
		 */
		@ApiField("cp_name")
		private String cpName;
		/**
		 * 用于返回淘系包裹脱密手机号用作数据核对
		 */
		@ApiField("getter_phone")
		private String getterPhone;
		/**
		 * 裹裹发送通知消息标识，false-?非裹裹发送，true-裹裹发送
		 */
		@ApiField("guoguo_send_notice_flag")
		private Boolean guoguoSendNoticeFlag;
		/**
		 * 是否需要输入手机号，false-不需要，裹裹可以自己判断手机号，true-需要手动输入手机号
		 */
		@ApiField("need_input_phone")
		private Boolean needInputPhone;
	

	public String getCpCode() {
			return this.cpCode;
		}
		public void setCpCode(String cpCode) {
			this.cpCode = cpCode;
		}
		public String getCpName() {
			return this.cpName;
		}
		public void setCpName(String cpName) {
			this.cpName = cpName;
		}
		public String getGetterPhone() {
			return this.getterPhone;
		}
		public void setGetterPhone(String getterPhone) {
			this.getterPhone = getterPhone;
		}
		public Boolean getGuoguoSendNoticeFlag() {
			return this.guoguoSendNoticeFlag;
		}
		public void setGuoguoSendNoticeFlag(Boolean guoguoSendNoticeFlag) {
			this.guoguoSendNoticeFlag = guoguoSendNoticeFlag;
		}
		public Boolean getNeedInputPhone() {
			return this.needInputPhone;
		}
		public void setNeedInputPhone(Boolean needInputPhone) {
			this.needInputPhone = needInputPhone;
		}

}

	/**
 * 返回结果
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class SingleResult extends TaobaoObject {

	private static final long serialVersionUID = 1125528143854985737L;

	/**
		 * data
		 */
		@ApiField("data")
		private Data data;
		/**
		 * 返回码
		 */
		@ApiField("error_code")
		private String errorCode;
		/**
		 * 错误信息
		 */
		@ApiField("error_desc")
		private String errorDesc;
		/**
		 * 是否成功
		 */
		@ApiField("success")
		private Boolean success;
	

	public Data getData() {
			return this.data;
		}
		public void setData(Data data) {
			this.data = data;
		}
		public String getErrorCode() {
			return this.errorCode;
		}
		public void setErrorCode(String errorCode) {
			this.errorCode = errorCode;
		}
		public String getErrorDesc() {
			return this.errorDesc;
		}
		public void setErrorDesc(String errorDesc) {
			this.errorDesc = errorDesc;
		}
		public Boolean getSuccess() {
			return this.success;
		}
		public void setSuccess(Boolean success) {
			this.success = success;
		}

}



}
