package com.taobao.api.response;

import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.TaobaoObject;
import java.util.Date;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: tmall.exchange.get response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class TmallExchangeGetResponse extends TaobaoResponse {

	private static final long serialVersionUID = 7395714927493674838L;

	/** 
	 * 返回结果
	 */
	@ApiField("result")
	private ExchangeBaseResponse result;


	public void setResult(ExchangeBaseResponse result) {
		this.result = result;
	}
	public ExchangeBaseResponse getResult( ) {
		return this.result;
	}
	
	/**
 * 换货单详情
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class Exchange extends TaobaoObject {

	private static final long serialVersionUID = 2469224888145924389L;

	/**
		 * 卖家换货地址
		 */
		@ApiField("address")
		private String address;
		/**
		 * 先行垫付状态
		 */
		@ApiField("advance_status")
		private Long advanceStatus;
		/**
		 * 支付宝单号ID
		 */
		@ApiField("alipay_no")
		private String alipayNo;
		/**
		 * attributes
		 */
		@ApiField("attributes")
		private String attributes;
		/**
		 * 正向订单号ID
		 */
		@ApiField("biz_order_id")
		private String bizOrderId;
		/**
		 * 所购买的商品sku
		 */
		@ApiField("bought_sku")
		private String boughtSku;
		/**
		 * buyerAddress
		 */
		@ApiField("buyer_address")
		private String buyerAddress;
		/**
		 * 买家发货物流公司名称
		 */
		@ApiField("buyer_logistic_name")
		private String buyerLogisticName;
		/**
		 * 买家发货物流单号
		 */
		@ApiField("buyer_logistic_no")
		private String buyerLogisticNo;
		/**
		 * buyerName
		 */
		@ApiField("buyer_name")
		private String buyerName;
		/**
		 * 买家昵称
		 */
		@ApiField("buyer_nick")
		private String buyerNick;
		/**
		 * 买家联系方式
		 */
		@ApiField("buyer_phone")
		private String buyerPhone;
		/**
		 * 换货单创建时间
		 */
		@ApiField("created")
		private Date created;
		/**
		 * 小二托管状态
		 */
		@ApiField("cs_status")
		private Long csStatus;
		/**
		 * 换货理由说明
		 */
		@ApiField("desc")
		private String desc;
		/**
		 * 换货单号ID
		 */
		@ApiField("dispute_id")
		private String disputeId;
		/**
		 * 换货商品的sku
		 */
		@ApiField("exchange_sku")
		private String exchangeSku;
		/**
		 * 商品状态
		 */
		@ApiField("good_status")
		private String goodStatus;
		/**
		 * 换货单修改时间
		 */
		@ApiField("modified")
		private Date modified;
		/**
		 * 换货数量
		 */
		@ApiField("num")
		private Long num;
		/**
		 * 操作场景
		 */
		@ApiField("operation_contraint")
		private String operationContraint;
		/**
		 * 价格
		 */
		@ApiField("price")
		private String price;
		/**
		 * 换货申请理由
		 */
		@ApiField("reason")
		private String reason;
		/**
		 * 申请换货的状态：售中换货 or 售后换货
		 */
		@ApiField("refund_phase")
		private String refundPhase;
		/**
		 * 换货版本
		 */
		@ApiField("refund_version")
		private Long refundVersion;
		/**
		 * 卖家发货物流公司名称
		 */
		@ApiField("seller_logistic_name")
		private String sellerLogisticName;
		/**
		 * 卖家发货快递单号
		 */
		@ApiField("seller_logistic_no")
		private String sellerLogisticNo;
		/**
		 * 卖家昵称
		 */
		@ApiField("seller_nick")
		private String sellerNick;
		/**
		 * 换货状态，具体包括：换货待处理(1), 待买家退货(2), 买家已退货，待收货(3),  换货关闭(4), 换货成功(5), 待买家修改(6), 待发出换货商品(12), 待买家收货(13), 请退款(14)
		 */
		@ApiField("status")
		private String status;
		/**
		 * 超时时间
		 */
		@ApiField("time_out")
		private String timeOut;
		/**
		 * 商品名称
		 */
		@ApiField("title")
		private String title;
	

	public String getAddress() {
			return this.address;
		}
		public void setAddress(String address) {
			this.address = address;
		}
		public Long getAdvanceStatus() {
			return this.advanceStatus;
		}
		public void setAdvanceStatus(Long advanceStatus) {
			this.advanceStatus = advanceStatus;
		}
		public String getAlipayNo() {
			return this.alipayNo;
		}
		public void setAlipayNo(String alipayNo) {
			this.alipayNo = alipayNo;
		}
		public String getAttributes() {
			return this.attributes;
		}
		public void setAttributes(String attributes) {
			this.attributes = attributes;
		}
		public String getBizOrderId() {
			return this.bizOrderId;
		}
		public void setBizOrderId(String bizOrderId) {
			this.bizOrderId = bizOrderId;
		}
		public String getBoughtSku() {
			return this.boughtSku;
		}
		public void setBoughtSku(String boughtSku) {
			this.boughtSku = boughtSku;
		}
		public String getBuyerAddress() {
			return this.buyerAddress;
		}
		public void setBuyerAddress(String buyerAddress) {
			this.buyerAddress = buyerAddress;
		}
		public String getBuyerLogisticName() {
			return this.buyerLogisticName;
		}
		public void setBuyerLogisticName(String buyerLogisticName) {
			this.buyerLogisticName = buyerLogisticName;
		}
		public String getBuyerLogisticNo() {
			return this.buyerLogisticNo;
		}
		public void setBuyerLogisticNo(String buyerLogisticNo) {
			this.buyerLogisticNo = buyerLogisticNo;
		}
		public String getBuyerName() {
			return this.buyerName;
		}
		public void setBuyerName(String buyerName) {
			this.buyerName = buyerName;
		}
		public String getBuyerNick() {
			return this.buyerNick;
		}
		public void setBuyerNick(String buyerNick) {
			this.buyerNick = buyerNick;
		}
		public String getBuyerPhone() {
			return this.buyerPhone;
		}
		public void setBuyerPhone(String buyerPhone) {
			this.buyerPhone = buyerPhone;
		}
		public Date getCreated() {
			return this.created;
		}
		public void setCreated(Date created) {
			this.created = created;
		}
		public Long getCsStatus() {
			return this.csStatus;
		}
		public void setCsStatus(Long csStatus) {
			this.csStatus = csStatus;
		}
		public String getDesc() {
			return this.desc;
		}
		public void setDesc(String desc) {
			this.desc = desc;
		}
		public String getDisputeId() {
			return this.disputeId;
		}
		public void setDisputeId(String disputeId) {
			this.disputeId = disputeId;
		}
		public String getExchangeSku() {
			return this.exchangeSku;
		}
		public void setExchangeSku(String exchangeSku) {
			this.exchangeSku = exchangeSku;
		}
		public String getGoodStatus() {
			return this.goodStatus;
		}
		public void setGoodStatus(String goodStatus) {
			this.goodStatus = goodStatus;
		}
		public Date getModified() {
			return this.modified;
		}
		public void setModified(Date modified) {
			this.modified = modified;
		}
		public Long getNum() {
			return this.num;
		}
		public void setNum(Long num) {
			this.num = num;
		}
		public String getOperationContraint() {
			return this.operationContraint;
		}
		public void setOperationContraint(String operationContraint) {
			this.operationContraint = operationContraint;
		}
		public String getPrice() {
			return this.price;
		}
		public void setPrice(String price) {
			this.price = price;
		}
		public String getReason() {
			return this.reason;
		}
		public void setReason(String reason) {
			this.reason = reason;
		}
		public String getRefundPhase() {
			return this.refundPhase;
		}
		public void setRefundPhase(String refundPhase) {
			this.refundPhase = refundPhase;
		}
		public Long getRefundVersion() {
			return this.refundVersion;
		}
		public void setRefundVersion(Long refundVersion) {
			this.refundVersion = refundVersion;
		}
		public String getSellerLogisticName() {
			return this.sellerLogisticName;
		}
		public void setSellerLogisticName(String sellerLogisticName) {
			this.sellerLogisticName = sellerLogisticName;
		}
		public String getSellerLogisticNo() {
			return this.sellerLogisticNo;
		}
		public void setSellerLogisticNo(String sellerLogisticNo) {
			this.sellerLogisticNo = sellerLogisticNo;
		}
		public String getSellerNick() {
			return this.sellerNick;
		}
		public void setSellerNick(String sellerNick) {
			this.sellerNick = sellerNick;
		}
		public String getStatus() {
			return this.status;
		}
		public void setStatus(String status) {
			this.status = status;
		}
		public String getTimeOut() {
			return this.timeOut;
		}
		public void setTimeOut(String timeOut) {
			this.timeOut = timeOut;
		}
		public String getTitle() {
			return this.title;
		}
		public void setTitle(String title) {
			this.title = title;
		}

}

	/**
 * 返回结果
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class ExchangeBaseResponse extends TaobaoObject {

	private static final long serialVersionUID = 3813333766162699233L;

	/**
		 * 换货单详情
		 */
		@ApiField("exchange")
		private Exchange exchange;
		/**
		 * 错误信息说明
		 */
		@ApiField("message")
		private String message;
		/**
		 * 错误码
		 */
		@ApiField("msg_code")
		private String msgCode;
		/**
		 * 返回结果是否符合要求
		 */
		@ApiField("success")
		private Boolean success;
	

	public Exchange getExchange() {
			return this.exchange;
		}
		public void setExchange(Exchange exchange) {
			this.exchange = exchange;
		}
		public String getMessage() {
			return this.message;
		}
		public void setMessage(String message) {
			this.message = message;
		}
		public String getMsgCode() {
			return this.msgCode;
		}
		public void setMsgCode(String msgCode) {
			this.msgCode = msgCode;
		}
		public Boolean getSuccess() {
			return this.success;
		}
		public void setSuccess(Boolean success) {
			this.success = success;
		}

}



}
