package com.taobao.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;
import com.taobao.api.internal.util.json.JSONValidatingReader;
import com.taobao.api.TaobaoObject;
import java.util.Date;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: tmall.exchange.message.add response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class TmallExchangeMessageAddResponse extends TaobaoResponse {

	private static final long serialVersionUID = 2495444921337621523L;

	/** 
	 * 返回结果
	 */
	@ApiField("result")
	private ResultSet result;


	public void setResult(ResultSet result) {
		this.result = result;
	}
	public ResultSet getResult( ) {
		return this.result;
	}
	
	/**
 * 凭证信息
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class PicUrl extends TaobaoObject {

	private static final long serialVersionUID = 1756949677559653934L;

	/**
		 * 图片url
		 */
		@ApiField("url")
		private String url;
	

	public String getUrl() {
			return this.url;
		}
		public void setUrl(String url) {
			this.url = url;
		}

}

	/**
 * 留言信息
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class RefundMessage extends TaobaoObject {

	private static final long serialVersionUID = 2797745355574394297L;

	/**
		 * 留言内容
		 */
		@ApiField("content")
		private String content;
		/**
		 * 留言创建时间
		 */
		@ApiField("created")
		private Date created;
		/**
		 * 留言ID
		 */
		@ApiField("id")
		private Long id;
		/**
		 * 留言类型：系统或是人工
		 */
		@ApiField("message_type")
		private String messageType;
		/**
		 * 留言者ID
		 */
		@ApiField("owner_id")
		private Long ownerId;
		/**
		 * 留言者昵称
		 */
		@ApiField("owner_nick")
		private String ownerNick;
		/**
		 * 留言者橘色
		 */
		@ApiField("owner_role")
		private String ownerRole;
		/**
		 * 凭证信息
		 */
		@ApiListField("pic_urls")
		@ApiField("pic_url")
		private List<PicUrl> picUrls;
		/**
		 * 换货单号ID
		 */
		@ApiField("refund_id")
		private Long refundId;
	

	public String getContent() {
			return this.content;
		}
		public void setContent(String content) {
			this.content = content;
		}
		public Date getCreated() {
			return this.created;
		}
		public void setCreated(Date created) {
			this.created = created;
		}
		public Long getId() {
			return this.id;
		}
		public void setId(Long id) {
			this.id = id;
		}
		public String getMessageType() {
			return this.messageType;
		}
		public void setMessageType(String messageType) {
			this.messageType = messageType;
		}
		public Long getOwnerId() {
			return this.ownerId;
		}
		public void setOwnerId(Long ownerId) {
			this.ownerId = ownerId;
		}
		public String getOwnerNick() {
			return this.ownerNick;
		}
		public void setOwnerNick(String ownerNick) {
			this.ownerNick = ownerNick;
		}
		public String getOwnerRole() {
			return this.ownerRole;
		}
		public void setOwnerRole(String ownerRole) {
			this.ownerRole = ownerRole;
		}
		public List<PicUrl> getPicUrls() {
			return this.picUrls;
		}
		public void setPicUrls(List<PicUrl> picUrls) {
			this.picUrls = picUrls;
		}
		public Long getRefundId() {
			return this.refundId;
		}
		public void setRefundId(Long refundId) {
			this.refundId = refundId;
		}

}

	/**
 * 返回结果
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class ResultSet extends TaobaoObject {

	private static final long serialVersionUID = 6342529591548143423L;

	/**
		 * 错误码
		 */
		@ApiField("error_code")
		private String errorCode;
		/**
		 * 错误信息
		 */
		@ApiField("error_msg")
		private String errorMsg;
		/**
		 * 异常信息
		 */
		@ApiField("exception")
		private String exception;
		/**
		 * 留言信息
		 */
		@ApiListField("results")
		@ApiField("refund_message")
		private List<RefundMessage> results;
	

	public String getErrorCode() {
			return this.errorCode;
		}
		public void setErrorCode(String errorCode) {
			this.errorCode = errorCode;
		}
		public String getErrorMsg() {
			return this.errorMsg;
		}
		public void setErrorMsg(String errorMsg) {
			this.errorMsg = errorMsg;
		}
		public String getException() {
			return this.exception;
		}
		public void setException(String exception) {
			this.exception = exception;
		}
		public void setExceptionString(String exception) {
			this.exception = exception;
		}
		
		public List<RefundMessage> getResults() {
			return this.results;
		}
		public void setResults(List<RefundMessage> results) {
			this.results = results;
		}

}



}
