package com.taobao.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;
import com.taobao.api.internal.util.json.JSONValidatingReader;
import com.taobao.api.TaobaoObject;
import java.util.Date;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: tmall.exchange.messages.get response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class TmallExchangeMessagesGetResponse extends TaobaoResponse {

	private static final long serialVersionUID = 7747222159798355679L;

	/** 
	 * 返回结果
	 */
	@ApiField("result")
	private RefundMessageResult result;


	public void setResult(RefundMessageResult result) {
		this.result = result;
	}
	public RefundMessageResult getResult( ) {
		return this.result;
	}
	
	/**
 * 凭证信息
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class PicUrl extends TaobaoObject {

	private static final long serialVersionUID = 4784437984425926432L;

	/**
		 * 凭证图片url
		 */
		@ApiField("url")
		private String url;
	

	public String getUrl() {
			return this.url;
		}
		public void setUrl(String url) {
			this.url = url;
		}

}

	/**
 * 留言记录
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class RefundMessage extends TaobaoObject {

	private static final long serialVersionUID = 4435388159798719433L;

	/**
		 * 留言内容
		 */
		@ApiField("content")
		private String content;
		/**
		 * 留言创建时期
		 */
		@ApiField("created")
		private Date created;
		/**
		 * 留言ID
		 */
		@ApiField("id")
		private Long id;
		/**
		 * 留言类型
		 */
		@ApiField("message_type")
		private String messageType;
		/**
		 * 留言者ID
		 */
		@ApiField("owner_id")
		private Long ownerId;
		/**
		 * 留言者昵称
		 */
		@ApiField("owner_nick")
		private String ownerNick;
		/**
		 * 留言角色
		 */
		@ApiField("owner_role")
		private String ownerRole;
		/**
		 * 凭证信息
		 */
		@ApiListField("pic_urls")
		@ApiField("pic_url")
		private List<PicUrl> picUrls;
		/**
		 * 换货单号ID
		 */
		@ApiField("refund_id")
		private Long refundId;
	

	public String getContent() {
			return this.content;
		}
		public void setContent(String content) {
			this.content = content;
		}
		public Date getCreated() {
			return this.created;
		}
		public void setCreated(Date created) {
			this.created = created;
		}
		public Long getId() {
			return this.id;
		}
		public void setId(Long id) {
			this.id = id;
		}
		public String getMessageType() {
			return this.messageType;
		}
		public void setMessageType(String messageType) {
			this.messageType = messageType;
		}
		public Long getOwnerId() {
			return this.ownerId;
		}
		public void setOwnerId(Long ownerId) {
			this.ownerId = ownerId;
		}
		public String getOwnerNick() {
			return this.ownerNick;
		}
		public void setOwnerNick(String ownerNick) {
			this.ownerNick = ownerNick;
		}
		public String getOwnerRole() {
			return this.ownerRole;
		}
		public void setOwnerRole(String ownerRole) {
			this.ownerRole = ownerRole;
		}
		public List<PicUrl> getPicUrls() {
			return this.picUrls;
		}
		public void setPicUrls(List<PicUrl> picUrls) {
			this.picUrls = picUrls;
		}
		public Long getRefundId() {
			return this.refundId;
		}
		public void setRefundId(Long refundId) {
			this.refundId = refundId;
		}

}

	/**
 * 返回结果
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class RefundMessageResult extends TaobaoObject {

	private static final long serialVersionUID = 6356572994162466633L;

	/**
		 * 错误码
		 */
		@ApiField("error_code")
		private String errorCode;
		/**
		 * 错误信息
		 */
		@ApiField("error_msg")
		private String errorMsg;
		/**
		 * 异常信息
		 */
		@ApiField("exception")
		private String exception;
		/**
		 * 是否有下一页
		 */
		@ApiField("has_next")
		private Boolean hasNext;
		/**
		 * 当前页面的留言条数
		 */
		@ApiField("page_results")
		private Long pageResults;
		/**
		 * 留言记录
		 */
		@ApiListField("results")
		@ApiField("refund_message")
		private List<RefundMessage> results;
		/**
		 * 所有留言记录数
		 */
		@ApiField("total_results")
		private Long totalResults;
	

	public String getErrorCode() {
			return this.errorCode;
		}
		public void setErrorCode(String errorCode) {
			this.errorCode = errorCode;
		}
		public String getErrorMsg() {
			return this.errorMsg;
		}
		public void setErrorMsg(String errorMsg) {
			this.errorMsg = errorMsg;
		}
		public String getException() {
			return this.exception;
		}
		public void setException(String exception) {
			this.exception = exception;
		}
		public void setExceptionString(String exception) {
			this.exception = exception;
		}
		
		public Boolean getHasNext() {
			return this.hasNext;
		}
		public void setHasNext(Boolean hasNext) {
			this.hasNext = hasNext;
		}
		public Long getPageResults() {
			return this.pageResults;
		}
		public void setPageResults(Long pageResults) {
			this.pageResults = pageResults;
		}
		public List<RefundMessage> getResults() {
			return this.results;
		}
		public void setResults(List<RefundMessage> results) {
			this.results = results;
		}
		public Long getTotalResults() {
			return this.totalResults;
		}
		public void setTotalResults(Long totalResults) {
			this.totalResults = totalResults;
		}

}



}
