package com.taobao.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;
import com.taobao.api.TaobaoObject;
import java.util.Date;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: tmall.exchange.receive.get response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class TmallExchangeReceiveGetResponse extends TaobaoResponse {

	private static final long serialVersionUID = 7726361253937682647L;

	/** 
	 * 错误码
	 */
	@ApiField("error_codes")
	private String errorCodes;

	/** 
	 * 错误信息
	 */
	@ApiField("error_msg")
	private String errorMsg;

	/** 
	 * 所抛出异常
	 */
	@ApiField("exception")
	private String exception;

	/** 
	 * 是否还有下一页
	 */
	@ApiField("has_next")
	private Boolean hasNext;

	/** 
	 * 当前页的换货单数量
	 */
	@ApiField("page_results")
	private Long pageResults;

	/** 
	 * 返回结果
	 */
	@ApiListField("results")
	@ApiField("exchange")
	private List<Exchange> results;

	/** 
	 * 所有符合查询条件的换货单的数量
	 */
	@ApiField("total_results")
	private Long totalResults;


	public void setErrorCodes(String errorCodes) {
		this.errorCodes = errorCodes;
	}
	public String getErrorCodes( ) {
		return this.errorCodes;
	}

	public void setErrorMsg(String errorMsg) {
		this.errorMsg = errorMsg;
	}
	public String getErrorMsg( ) {
		return this.errorMsg;
	}

	public void setException(String exception) {
		this.exception = exception;
	}
	public String getException( ) {
		return this.exception;
	}

	public void setHasNext(Boolean hasNext) {
		this.hasNext = hasNext;
	}
	public Boolean getHasNext( ) {
		return this.hasNext;
	}

	public void setPageResults(Long pageResults) {
		this.pageResults = pageResults;
	}
	public Long getPageResults( ) {
		return this.pageResults;
	}

	public void setResults(List<Exchange> results) {
		this.results = results;
	}
	public List<Exchange> getResults( ) {
		return this.results;
	}

	public void setTotalResults(Long totalResults) {
		this.totalResults = totalResults;
	}
	public Long getTotalResults( ) {
		return this.totalResults;
	}
	
	/**
 * 返回结果
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class Exchange extends TaobaoObject {

	private static final long serialVersionUID = 6156688342763142523L;

	/**
		 * 卖家换货地址
		 */
		@ApiField("address")
		private String address;
		/**
		 * 支付宝ID
		 */
		@ApiField("alipay_no")
		private String alipayNo;
		/**
		 * 正向单号ID
		 */
		@ApiField("biz_order_id")
		private String bizOrderId;
		/**
		 * 购买的商品sku
		 */
		@ApiField("bought_sku")
		private String boughtSku;
		/**
		 * 买家换货地址
		 */
		@ApiField("buyer_address")
		private String buyerAddress;
		/**
		 * 买家发货物流公司
		 */
		@ApiField("buyer_logistic_name")
		private String buyerLogisticName;
		/**
		 * 买家发货快递单号
		 */
		@ApiField("buyer_logistic_no")
		private String buyerLogisticNo;
		/**
		 * buyerName
		 */
		@ApiField("buyer_name")
		private String buyerName;
		/**
		 * 买家昵称
		 */
		@ApiField("buyer_nick")
		private String buyerNick;
		/**
		 * 买家联系方式
		 */
		@ApiField("buyer_phone")
		private String buyerPhone;
		/**
		 * 换货单创建时间
		 */
		@ApiField("created")
		private Date created;
		/**
		 * 换货单号ID
		 */
		@ApiField("dispute_id")
		private String disputeId;
		/**
		 * 买家申请换货的商品sku
		 */
		@ApiField("exchange_sku")
		private String exchangeSku;
		/**
		 * 当前商品状态
		 */
		@ApiField("good_status")
		private String goodStatus;
		/**
		 * 换货单最新修改时间
		 */
		@ApiField("modified")
		private Date modified;
		/**
		 * 购买数
		 */
		@ApiField("num")
		private Long num;
		/**
		 * 支付费用
		 */
		@ApiField("payment")
		private String payment;
		/**
		 * 价格
		 */
		@ApiField("price")
		private String price;
		/**
		 * 申请换货原因
		 */
		@ApiField("reason")
		private String reason;
		/**
		 * 卖家发货物流公司
		 */
		@ApiField("seller_logistic_name")
		private String sellerLogisticName;
		/**
		 * 卖家发货快递单号
		 */
		@ApiField("seller_logistic_no")
		private String sellerLogisticNo;
		/**
		 * 卖家昵称
		 */
		@ApiField("seller_nick")
		private String sellerNick;
		/**
		 * 当前换货单状态
		 */
		@ApiField("status")
		private String status;
		/**
		 * 超时时间
		 */
		@ApiField("time_out")
		private String timeOut;
		/**
		 * 商品名称
		 */
		@ApiField("title")
		private String title;
	

	public String getAddress() {
			return this.address;
		}
		public void setAddress(String address) {
			this.address = address;
		}
		public String getAlipayNo() {
			return this.alipayNo;
		}
		public void setAlipayNo(String alipayNo) {
			this.alipayNo = alipayNo;
		}
		public String getBizOrderId() {
			return this.bizOrderId;
		}
		public void setBizOrderId(String bizOrderId) {
			this.bizOrderId = bizOrderId;
		}
		public String getBoughtSku() {
			return this.boughtSku;
		}
		public void setBoughtSku(String boughtSku) {
			this.boughtSku = boughtSku;
		}
		public String getBuyerAddress() {
			return this.buyerAddress;
		}
		public void setBuyerAddress(String buyerAddress) {
			this.buyerAddress = buyerAddress;
		}
		public String getBuyerLogisticName() {
			return this.buyerLogisticName;
		}
		public void setBuyerLogisticName(String buyerLogisticName) {
			this.buyerLogisticName = buyerLogisticName;
		}
		public String getBuyerLogisticNo() {
			return this.buyerLogisticNo;
		}
		public void setBuyerLogisticNo(String buyerLogisticNo) {
			this.buyerLogisticNo = buyerLogisticNo;
		}
		public String getBuyerName() {
			return this.buyerName;
		}
		public void setBuyerName(String buyerName) {
			this.buyerName = buyerName;
		}
		public String getBuyerNick() {
			return this.buyerNick;
		}
		public void setBuyerNick(String buyerNick) {
			this.buyerNick = buyerNick;
		}
		public String getBuyerPhone() {
			return this.buyerPhone;
		}
		public void setBuyerPhone(String buyerPhone) {
			this.buyerPhone = buyerPhone;
		}
		public Date getCreated() {
			return this.created;
		}
		public void setCreated(Date created) {
			this.created = created;
		}
		public String getDisputeId() {
			return this.disputeId;
		}
		public void setDisputeId(String disputeId) {
			this.disputeId = disputeId;
		}
		public String getExchangeSku() {
			return this.exchangeSku;
		}
		public void setExchangeSku(String exchangeSku) {
			this.exchangeSku = exchangeSku;
		}
		public String getGoodStatus() {
			return this.goodStatus;
		}
		public void setGoodStatus(String goodStatus) {
			this.goodStatus = goodStatus;
		}
		public Date getModified() {
			return this.modified;
		}
		public void setModified(Date modified) {
			this.modified = modified;
		}
		public Long getNum() {
			return this.num;
		}
		public void setNum(Long num) {
			this.num = num;
		}
		public String getPayment() {
			return this.payment;
		}
		public void setPayment(String payment) {
			this.payment = payment;
		}
		public String getPrice() {
			return this.price;
		}
		public void setPrice(String price) {
			this.price = price;
		}
		public String getReason() {
			return this.reason;
		}
		public void setReason(String reason) {
			this.reason = reason;
		}
		public String getSellerLogisticName() {
			return this.sellerLogisticName;
		}
		public void setSellerLogisticName(String sellerLogisticName) {
			this.sellerLogisticName = sellerLogisticName;
		}
		public String getSellerLogisticNo() {
			return this.sellerLogisticNo;
		}
		public void setSellerLogisticNo(String sellerLogisticNo) {
			this.sellerLogisticNo = sellerLogisticNo;
		}
		public String getSellerNick() {
			return this.sellerNick;
		}
		public void setSellerNick(String sellerNick) {
			this.sellerNick = sellerNick;
		}
		public String getStatus() {
			return this.status;
		}
		public void setStatus(String status) {
			this.status = status;
		}
		public String getTimeOut() {
			return this.timeOut;
		}
		public void setTimeOut(String timeOut) {
			this.timeOut = timeOut;
		}
		public String getTitle() {
			return this.title;
		}
		public void setTitle(String title) {
			this.title = title;
		}

}



}
