package com.taobao.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;
import com.taobao.api.internal.util.json.JSONValidatingReader;
import com.taobao.api.TaobaoObject;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: tmall.exchange.refusereason.get response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class TmallExchangeRefusereasonGetResponse extends TaobaoResponse {

	private static final long serialVersionUID = 1482711299557634848L;

	/** 
	 * 返回结果
	 */
	@ApiField("result")
	private ResultSet result;


	public void setResult(ResultSet result) {
		this.result = result;
	}
	public ResultSet getResult( ) {
		return this.result;
	}
	
	/**
 * 拒绝原因列表
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class Reason extends TaobaoObject {

	private static final long serialVersionUID = 5126869416146859171L;

	/**
		 * 拒绝原因ID
		 */
		@ApiField("reason_id")
		private Long reasonId;
		/**
		 * 拒绝原因内容
		 */
		@ApiField("reason_text")
		private String reasonText;
	

	public Long getReasonId() {
			return this.reasonId;
		}
		public void setReasonId(Long reasonId) {
			this.reasonId = reasonId;
		}
		public String getReasonText() {
			return this.reasonText;
		}
		public void setReasonText(String reasonText) {
			this.reasonText = reasonText;
		}

}

	/**
 * 返回结果
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class ResultSet extends TaobaoObject {

	private static final long serialVersionUID = 3221396477817497314L;

	/**
		 * 错误码
		 */
		@ApiField("error_code")
		private String errorCode;
		/**
		 * 错误信息
		 */
		@ApiField("error_msg")
		private String errorMsg;
		/**
		 * 异常信息
		 */
		@ApiField("exception")
		private String exception;
		/**
		 * 拒绝原因列表
		 */
		@ApiListField("results")
		@ApiField("reason")
		private List<Reason> results;
		/**
		 * 拒绝原因总数
		 */
		@ApiField("total_results")
		private Long totalResults;
	

	public String getErrorCode() {
			return this.errorCode;
		}
		public void setErrorCode(String errorCode) {
			this.errorCode = errorCode;
		}
		public String getErrorMsg() {
			return this.errorMsg;
		}
		public void setErrorMsg(String errorMsg) {
			this.errorMsg = errorMsg;
		}
		public String getException() {
			return this.exception;
		}
		public void setException(String exception) {
			this.exception = exception;
		}
		public void setExceptionString(String exception) {
			this.exception = exception;
		}
		
		public List<Reason> getResults() {
			return this.results;
		}
		public void setResults(List<Reason> results) {
			this.results = results;
		}
		public Long getTotalResults() {
			return this.totalResults;
		}
		public void setTotalResults(Long totalResults) {
			this.totalResults = totalResults;
		}

}



}
