package com.taobao.api.response;

import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.TaobaoObject;
import java.util.Date;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: tmall.exchange.returngoods.agree response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class TmallExchangeReturngoodsAgreeResponse extends TaobaoResponse {

	private static final long serialVersionUID = 3656581728461844812L;

	/** 
	 * 返回结果
	 */
	@ApiField("result")
	private ExchangeBaseResponse result;


	public void setResult(ExchangeBaseResponse result) {
		this.result = result;
	}
	public ExchangeBaseResponse getResult( ) {
		return this.result;
	}
	
	/**
 * 换货单号基本信息
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class Exchange extends TaobaoObject {

	private static final long serialVersionUID = 2481819941651683851L;

	/**
		 * 正向交易单号ID
		 */
		@ApiField("biz_order_id")
		private String bizOrderId;
		/**
		 * 换货单号ID
		 */
		@ApiField("dispute_id")
		private String disputeId;
		/**
		 * 换货流程最新修改时间
		 */
		@ApiField("modified")
		private Date modified;
		/**
		 * 当前换货状态
		 */
		@ApiField("status")
		private String status;
	

	public String getBizOrderId() {
			return this.bizOrderId;
		}
		public void setBizOrderId(String bizOrderId) {
			this.bizOrderId = bizOrderId;
		}
		public String getDisputeId() {
			return this.disputeId;
		}
		public void setDisputeId(String disputeId) {
			this.disputeId = disputeId;
		}
		public Date getModified() {
			return this.modified;
		}
		public void setModified(Date modified) {
			this.modified = modified;
		}
		public String getStatus() {
			return this.status;
		}
		public void setStatus(String status) {
			this.status = status;
		}

}

	/**
 * 返回结果
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class ExchangeBaseResponse extends TaobaoObject {

	private static final long serialVersionUID = 1719477372728265512L;

	/**
		 * 换货单号基本信息
		 */
		@ApiField("exchange")
		private Exchange exchange;
		/**
		 * 返回结果的描述字段
		 */
		@ApiField("message")
		private String message;
		/**
		 * 返回结果的状态码
		 */
		@ApiField("msg_code")
		private String msgCode;
		/**
		 * 是否成功调用
		 */
		@ApiField("success")
		private Boolean success;
	

	public Exchange getExchange() {
			return this.exchange;
		}
		public void setExchange(Exchange exchange) {
			this.exchange = exchange;
		}
		public String getMessage() {
			return this.message;
		}
		public void setMessage(String message) {
			this.message = message;
		}
		public String getMsgCode() {
			return this.msgCode;
		}
		public void setMsgCode(String msgCode) {
			this.msgCode = msgCode;
		}
		public Boolean getSuccess() {
			return this.success;
		}
		public void setSuccess(Boolean success) {
			this.success = success;
		}

}



}
